/*!
 * @fileOverview imobile
 * @copyright (c) 2013, All rights reserved.
 *
 * @author @si(<a href='mailto:withasi@gmail.com'>withasi@gmail.com</a>)
 * @version 0.6.12
 *
 * current version description:
 *     1)rename of service list
 *     2)get html5 position at start
 *     3)fix getcurrent position bug
 */
_Version = "0.6.12";

( function() {
	
		var a = {
			VERSION : _Version,
			namespace : function(f, c) {
				var b = f.split("."), d = 0, e;
				if (f.indexOf(".") == 0) {
					d = 1;
					c = c || a
				}
				c = c || window;
				for (; e = b[d++]; ) {
					if (!c[e]) {
						c[e] = {}
					}
					c = c[e]
				}
				return c
			},
			extend : function(b, e, c) {
				if (c === undefined) {
					c = true
				}
				for (var d in e) {
					if (c || !( d in b)) {
						b[d] = e[d]
					}
				}
				return b
			},
			deepextend : function(b, d) {
				for (var c in d) {
					var e = d[c];
					if (b === e) {
						continue
					}
					if ( typeof e === "object") {
						b[c] = arguments.callee(b[c] || {}, e)
					} else {
						b[c] = e
					}
				}
				return b
			},
			isHTMLElement : function(c) {
				var f = document.createElement("div");
				try {
					f.appendChild(c.cloneNode(true));
					return c.nodeType == 1 ? true : false
				} catch(b) {
					return false
				}
			},
			noConflict : ( function(b) {
					var c = window.es;
					return function() {
						window.es = c;
						return a
					}
				}())
		};
		window.es = a
	}());
( function(u) {
		window.requestAnimFrame = (function() {
			return window.requestAnimationFrame || window.webkitRequestAnimationFrame || window.mozRequestAnimationFrame || window.oRequestAnimationFrame || window.msRequestAnimationFrame ||
			function(e) {
				window.setTimeout(e, 1000 / 60)
			}

		})(), window.cancelRequestAnimationFrame = (function() {
			return window.cancelRequestAnimationFrame || window.webkitCancelAnimationFrame || window.webkitCancelRequestAnimationFrame || window.mozCancelRequestAnimationFrame || window.oCancelRequestAnimationFrame || window.msCancelRequestAnimationFrame || clearTimeout
		})();
		var x = (/webkit/i).test(navigator.appVersion) ? "webkit" : (/firefox/i).test(navigator.userAgent) ? "Moz" : "opera" in window ? "O" : "", y = (/android/gi).test(navigator.appVersion), w = /iphone/gi.test(navigator.appVersion), d = window.devicePixelRatio >= 2, t = /ipad/gi.test(navigator.appVersion), j = w || t, o = "WebKitCSSMatrix" in window && "m11" in new WebKitCSSMatrix(), b = "translate" + ( o ? "3d(" : "("), k = o ? ",0)" : ")", v = "ontouchstart" in window, g = x + "Transform" in document.documentElement.style, h = true, i = "onorientationchange" in window ? "orientationchange" : "resize", a = v ? "touchstart" : "mousedown", p = v ? "touchmove" : "mousemove", f = v ? "touchend" : "mouseup", s = v ? "touchcancel" : "mouseup", q = x == "Moz" ? "DOMMouseScroll" : "mousewheel", l = v ? "touchend" : "click", r = "hoverin", c = "hoverout";
		u.vendor = x, u.isAndroid = y, u.isIPhone = w, u.isIPhone4 = d, u.isIPad = t, u.isIDevice = j, u.has3d = o, u.trnOpen = b, u.trnClose = k, u.hasTouch = v, u.hasTransform = g, u.hasTransitionEnd = h, u.RESIZE_EV = i, u.START_EV = a, u.MOVE_EV = p, u.END_EV = f, u.CANCEL_EV = s, u.WHEEL_EV = q, u.TOUCH_EV = l, u.HOVERIN_EV = r, u.HOVEROUT_EV = c
	}(es));
( function(c) {
		var d = c.extend;
		var b = function() {
			var h = function() {
				if (arguments && arguments[0] != es.Class.isPrototype) {
					this.initialize.apply(this, arguments)
				}
			};
			var g = {};
			var k, f;
			for (var j = 0, e = arguments.length; j < e; ++j) {
				if ( typeof arguments[j] == "function") {
					if (j == 0 && e > 1) {
						f = arguments[j].prototype.initialize;
						arguments[j].prototype.initialize = function() {
						};
						g = new arguments[j];
						if (f === undefined) {
							delete arguments[j].prototype.initialize
						} else {
							arguments[j].prototype.initialize = f
						}
					}
					k = arguments[j].prototype
				} else {
					k = arguments[j]
				}
				d(g, k)
			}
			h.prototype = g;
			return h
		};
		b.isPrototype = function() {
		};
		b.create = function() {
			return function() {
				if (arguments && arguments[0] != es.Class.isPrototype) {
					this.initialize.apply(this, arguments)
				}
			}
		};
		b.inherit = function() {
			var h = arguments[0];
			var j = new h(es.Class.isPrototype);
			for (var g = 1, e = arguments.length; g < e; g++) {
				if ( typeof arguments[g] == "function") {
					var f = arguments[g];
					arguments[g] = new f(es.Class.isPrototype)
				}
				d(j, arguments[g])
			}
			return j
		};
		function a(f, g) {
			var h = {
				"M+" : f.getMonth() + 1,
				"d+" : f.getDate(),
				"h+" : f.getHours(),
				"m+" : f.getMinutes(),
				"s+" : f.getSeconds(),
				"q+" : Math.floor((f.getMonth() + 3) / 3),
				S : f.getMilliseconds()
			};
			if (/(y+)/.test(g)) {
				g = g.replace(RegExp.$1, (f.getFullYear() + "").substr(4 - RegExp.$1.length))
			}
			for (var e in h) {
				if (new RegExp("(" + e + ")").test(g)) {
					g = g.replace(RegExp.$1, RegExp.$1.length == 1 ? h[e] : ("00" + h[e]).substr(("" + h[e]).length))
				}
			}
			return g
		}
		es.Class = b, es.dateFormat = a
	}(es));
( function(b) {
		var a = {
			mulReplace : function(e, c) {
				for (var d = 0; d < c.length; d++) {
					e = e.replace(c[d][0], c[d][1])
				}
				return e
			},
			encode4Js : function(c) {
				return b.mulReplace(c, [[/\\/g, "\\u005C"], [/"/g, "\\u0022"], [/'/g, "\\u0027"], [/\//g, "\\u002F"], [/\r/g, "\\u000A"], [/\n/g, "\\u000D"], [/\t/g, "\\u0009"]])
			},
			replaceQuotMark : function(c) {
				return c.replace(/("\s*:\s*")(.*?)(("\s*,\s*")|("\s*}))/g, function(f, e, d, g) {
					return e + d.replace(/"/g, '\\"') + g
				})
			}
		};
		b.String = a
	}(es));
var hexcase = 0;
var b64pad = "";
var chrsz = 8;
function hex_sha1(a) {
	return binb2hex(core_sha1(str2binb(a), a.length * chrsz))
}

function b64_sha1(a) {
	return binb2b64(core_sha1(str2binb(a), a.length * chrsz))
}

function str_sha1(a) {
	return binb2str(core_sha1(str2binb(a), a.length * chrsz))
}

function hex_hmac_sha1(a, b) {
	return binb2hex(core_hmac_sha1(a, b))
}

function b64_hmac_sha1(a, b) {
	return binb2b64(core_hmac_sha1(a, b))
}

function str_hmac_sha1(a, b) {
	return binb2str(core_hmac_sha1(a, b))
}

function sha1_vm_test() {
	return hex_sha1("abc") == "a9993e364706816aba3e25717850c26c9cd0d89d"
}

function core_sha1(z, q) {
	z[q >> 5] |= 128 << (24 - q % 32);
	z[((q + 64 >> 9) << 4) + 15] = q;
	var A = Array(80);
	var y = 1732584193;
	var v = -271733879;
	var u = -1732584194;
	var s = 271733878;
	var r = -1009589776;
	for (var l = 0; l < z.length; l += 16) {
		var p = y;
		var o = v;
		var k = u;
		var h = s;
		var f = r;
		for (var g = 0; g < 80; g++) {
			if (g < 16) {
				A[g] = z[l + g]
			} else {
				A[g] = rol(A[g - 3] ^ A[g - 8] ^ A[g - 14] ^ A[g - 16], 1)
			}
			var B = safe_add(safe_add(rol(y, 5), sha1_ft(g, v, u, s)), safe_add(safe_add(r, A[g]), sha1_kt(g)));
			r = s;
			s = u;
			u = rol(v, 30);
			v = y;
			y = B
		}
		y = safe_add(y, p);
		v = safe_add(v, o);
		u = safe_add(u, k);
		s = safe_add(s, h);
		r = safe_add(r, f)
	}
	return Array(y, v, u, s, r)
}

function sha1_ft(e, a, g, f) {
	if (e < 20) {
		return (a & g) | ((~a) & f)
	}
	if (e < 40) {
		return a ^ g ^ f
	}
	if (e < 60) {
		return (a & g) | (a & f) | (g & f)
	}
	return a ^ g ^ f
}

function sha1_kt(a) {
	return (a < 20) ? 1518500249 : (a < 40) ? 1859775393 : (a < 60) ? -1894007588 : -899497514
}

function core_hmac_sha1(c, f) {
	var e = str2binb(c);
	if (e.length > 16) {
		e = core_sha1(e, c.length * chrsz)
	}
	var a = Array(16), d = Array(16);
	for (var b = 0; b < 16; b++) {
		a[b] = e[b] ^ 909522486;
		d[b] = e[b] ^ 1549556828
	}
	var g = core_sha1(a.concat(str2binb(f)), 512 + f.length * chrsz);
	return core_sha1(d.concat(g), 512 + 160)
}

function safe_add(a, d) {
	var c = (a & 65535) + (d & 65535);
	var b = (a >> 16) + (d >> 16) + (c >> 16);
	return (b << 16) | (c & 65535)
}

function rol(a, b) {
	return (a << b) | (a >>> (32 - b))
}

function str2binb(d) {
	var c = Array();
	var a = (1 << chrsz) - 1;
	for (var b = 0; b < d.length * chrsz; b += chrsz) {
		c[b >> 5] |= (d.charCodeAt(b / chrsz) & a) << (32 - chrsz - b % 32)
	}
	return c
}

function binb2str(c) {
	var d = "";
	var a = (1 << chrsz) - 1;
	for (var b = 0; b < c.length * 32; b += chrsz) {
		d += String.fromCharCode((c[b >> 5] >>> (32 - chrsz - b % 32)) & a)
	}
	return d
}

function binb2hex(c) {
	var b = hexcase ? "0123456789ABCDEF" : "0123456789abcdef";
	var d = "";
	for (var a = 0; a < c.length * 4; a++) {
		d += b.charAt((c[a >> 2] >> ((3 - a % 4) * 8 + 4)) & 15) + b.charAt((c[a >> 2] >> ((3 - a % 4) * 8)) & 15)
	}
	return d
}

function binb2b64(d) {
	var c = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
	var f = "";
	for (var b = 0; b < d.length * 4; b += 3) {
		var e = (((d[b >> 2] >> 8 * (3 - b % 4)) & 255) << 16) | (((d[b + 1 >> 2] >> 8 * (3 - (b + 1) % 4)) & 255) << 8) | ((d[b + 2 >> 2] >> 8 * (3 - (b + 2) % 4)) & 255);
		for (var a = 0; a < 4; a++) {
			if (b * 8 + a * 6 > d.length * 32) {
				f += b64pad
			} else {
				f += c.charAt((e >> 6 * (3 - a)) & 63)
			}
		}
	}
	return f
}
( function(a) {
		a.Carousel = a.Class({
			initialize : function(d, e, b) {
				var f = this;
				this._handlers = [];
				this.overviewEl = typeof d == "string" ? document.getElementById(d) : d;
				this.contentEl = typeof e == "string" ? document.getElementById(e) : e;
				this.pageCount = this.contentEl.children.length;
				this.opts = {
					clientWidth : window.innerWidth,
					clientHeight : window.innerHeight,
					swipeTime : 300,
					pageSwitchThred : 100,
					isIndicator : true,
					useTransform : true,
					useTransition : true
				};
				for (n in b) {
					this.opts[n] = b[n]
				}
				this.statusBars = [];
				this.contentEl.style.width = this.pageCount * 100 + "%";
				for (var c = 0; c < this.pageCount; c++) {
					this.contentEl.children[c].style.width = (1 / this.pageCount) * 100 + "%"
				}
				this.index = 0;
				if (this.opts.isIndicator) {
				}
				this.attachContentDrag(this.contentEl);
				window.addEventListener("resize", function() {
					f.resize();
					var g = f.index * -f.opts.clientWidth;
					f.contentEl.style[a.vendor + "Transform"] = a.trnOpen + g + "px,0" + a.trnClose
				})
			},
			addEvent : function(b, c) {
				this._handlers.push({
					eventName : b,
					handler : c
				})
			},
			removeEvent : function(c, e) {
				for (var d = 0; d < this._handlers.length; d++) {
					var b = this._handlers[d];
					if (b.eventName == c && b.handler == e) {
						this._handlers.splice(d, 1)
					}
				}
			},
			fireEvent : function(d, c) {
				for (var e = 0; e < this._handlers.length; e++) {
					var b = this._handlers[e];
					if (b.eventName == d) {
						if ( typeof b.handler == "function") {
							b.handler(c)
						}
					}
				}
			},
			attachContentDrag : function(b) {
				var c = this;
				var d = new Hammer(b, {
					swipe_delay : false,
					swipe_time : 200
				});
				d.ondragstart = function() {
					c.curStartLeft = c.index * -c.opts.clientWidth, b.style[a.vendor + "TransitionDuration"] = 0;
					c.swiped = false
				};
				d.ondrag = function(e) {
					c.distanceX = e.distanceX;
					var g = 1;
					if (e.distanceX > 0 && c.index == 0 || e.distanceX < 0 && c.index == c.pageCount - 1) {
						g = 0.4
					}
					var f = c.curStartLeft + e.distanceX * g;
					b.style[a.vendor + "Transform"] = a.trnOpen + f + "px,0" + a.trnClose
				};
				d.ondragend = function() {
					if (!c.swiped) {
						c.slideEnd()
					}
				};
				d.onswipe = function(e) {
					if (e.direct == 1001) {
						c.swiped = true;
						c.slideEnd(true)
					} else {
						if (e.direct == 1002) {
							c.swiped = true;
							c.slideEnd(true)
						}
					}
				}
			},
			updateStatusBar : function(c, b) {
				for (var d = 0; d < b.length; d++) {
					if (d == c) {
						b[c].className = "pageindicatoricon highlight"
					} else {
						b[d].className = "pageindicatoricon normal"
					}
				}
			},
			createPageStatusBar : function(e, g) {
				var f = document.createElement("div");
				f.style.cssText = "position: absolute;z-index:1;text-align:center;bottom:0;width:100%;";
				var c = document.createElement("div");
				c.className = "pageindicator";
				f.appendChild(c);
				for (var d = 0; d < g; d++) {
					var b = document.createElement("div");
					b.className = "pageindicatoricon normal";
					c.appendChild(b);
					this.statusBars.push(b)
				}
				e.appendChild(f)
			},
			slideEnd : function(c) {
				var d = this;
				this.contentEl.style[a.vendor + "TransitionDuration"] = this.opts.swipeTime + "ms";
				var b = this.curStartLeft;
				if (c || Math.abs(this.distanceX) > this.opts.pageSwitchThred) {
					if (this.distanceX < 0) {
						if (this.index < this.pageCount - 1) {
							this.index++;
							b -= this.opts.clientWidth;
							setTimeout(function() {
								d.updateStatusBar(d.index, d.statusBars);
								d.fireEvent("swiperight", d.index)
							}, this.opts.swipeTime)
						}
					} else {
						if (this.index > 0) {
							this.index--;
							b += this.opts.clientWidth;
							setTimeout(function() {
								d.updateStatusBar(d.index, d.statusBars);
								d.fireEvent("swipeleft", d.index)
							}, this.opts.swipeTime)
						}
					}
				}
				this.contentEl.style[a.vendor + "Transform"] = a.trnOpen + b + "px,0" + a.trnClose
			},
			resize : function() {
				this.opts.clientWidth = window.innerWidth;
				this.opts.clientHeight = window.innerHeight
			},
			CLASS_NAME : "Carousel"
		})
	}(es));

es.showPopupTip = function(a, b) {
	if (!es.spt) {
		es.spt = $('<div id="popuptip"></div>');
		$('<div class="popup-container"></div>').append(es.spt).appendTo(document.body)
	}
	es.spt.html(a);
	es.spt.css("display", "inline-block");
	if (b) {
		setTimeout(function() {
			es.spt.css("display", "none")
		}, b)
	}
};

es.controlCanvas = function(a, b) {
	if (!es.ccs) {
		es.ccs = $('<div id="controlCanvas"></div>').appendTo(document.body)
	}
	if (a == "show") {
		if (b) {
			setTimeout(function() {
				es.ccs.css("display", "block")
			}, b)
		} else {
			es.ccs.css("display", "block")
		}
	} else {
		if (a == "hide") {
			if (b) {
				setTimeout(function() {
					es.ccs.css("display", "none")
				}, b)
			} else {
				es.ccs.css("display", "none")
			}
		}
	}
};

es.loading = function(a, b) {
	if (b) {
		$.mobile.loading(a, b)
	} else {
		$.mobile.loading(a)
	}
	setTimeout(function() {
		es.controlCanvas(a)
	}, 400)
};

es.httpByNative = function(d, a, b, c) {
	switch(_Plateform) {
	case"Android":
		if ( typeof Common == "object") {
			if ( typeof Common.getAppType == "function") {
				Common.parseProxyWeb(d.name, a.name, b, JSON.stringify(c))
			}
		}
		break;
	case"IOS":
		setTimeout(function() {
			_iosifr.attr("src", "im://active/proxy?successcallback=" + d.name + "&errorcallback=" + a.name + "&targetUrl=" + encodeURIComponent(b) + "&options=" + encodeURIComponent(JSON.stringify(c)))
		}, 0);
		break;
	default:
		console.warn(_Plateform);
		es.loading("hide");
		es.showPopupTip("网页模式不可用", 1000)
	}
};

es.getCurrentGPS = function(h, b, e, d, f) {
	switch(_Plateform) {
	case"Android":
		if ( typeof Common == "object") {
			if ( typeof Common.getGps == "function") {
				var a = Common.isGpsAvabile();
				console.log("sglei-gps, isGpsAvabile = " + a)
				if (a) {
					Common.getGps(h.name, b.name, JSON.stringify(e))
				} else {
					es.loading("hide");
					es.loadingGPS = false;
					var g = es.lang == "zh" ? "请打开GPS" : "check GPS";
					es.showPopupTip(g, 1000);
					setTimeout(function() {
						Common.showGpsConfigraton()
					}, 1000);
					return
				}
			}
		}
		break;
	case"IOS":
		setTimeout(function() {
			_iosifr.attr("src", "im://get/gps?successcallback=" + h.name + "&errorcallback=" + b.name + "&options=" + encodeURIComponent(JSON.stringify(e)))
		}, 0);
		break;
	default:
		if (navigator.geolocation) {
			var c = e ? e : {};
			navigator.geolocation.getCurrentPosition(function(i) {
				h(i)
			}, function(i) {
				b(i)
			}, c)
		}
		break
	}
	setTimeout(function() {
		if ( typeof d == "function") {
			d()
		}
	}, ((f || 7000) + 1000))
};

es.getCurrentPosByNewwork = function(f, a, d, c, e) {
	switch(_Plateform) {
	case"Android":
		if ( typeof Common == "object") {
			if ( typeof Common.getGpsByNetwork == "function") {
				Common.getGpsByNetwork(f.name, a.name, JSON.stringify(d))
			}
		}
		break;
	case"IOS":
		setTimeout(function() {
			_iosifr.attr("src", "im://get/gpsbynetwork?successcallback=" + f.name + "&errorcallback=" + a.name + "&options=" + encodeURIComponent(JSON.stringify(d)))
		}, 0);
		break;
	default:
		if (navigator.geolocation) {
			var b = d ? d : {};
			navigator.geolocation.getCurrentPosition(function(g) {
				f(g)
			}, function(g) {
				a(g)
			}, b)
		}
		break
	}
	setTimeout(function() {
		if (es.loadingGPS == true) {
			if ( typeof c == "function") {
				c()
			}
		}
	}, ((e || 3000) + 1000))
};

// 行为统计类
es.monitor = function(a) {
	switch(_Plateform) {
	case"Android":
		if ( typeof Common == "object") {
			if ( typeof Common.recordEvent == "function") {
				Common.recordEvent(a)
			}
		}
		break;
	case"IOS":
		setTimeout(function() {
			_iosifr.attr("src", "im://active/monitor?recordkey=" + a)
		}, 0);
		break;
	default:
		console.warn(_Plateform);
		es.loading("hide");
		es.showPopupTip("网页模式不可用", 1000)
	}
};

es.initMonitor = function() {
	switch(_Plateform) {
	case"Android":
		if ( typeof Common == "object") {
			if ( typeof Common.initMonitor == "function") {
				Common.initMonitor(_appkeyofmonitor_android, _hostofmonitor)
			}
		}
		break;
	case"IOS":
		setTimeout(function() {
			var a = encodeURIComponent(JSON.stringify({
				appkeyofmonitor : _appkeyofmonitor_ios,
				hostofmonitor : _hostofmonitor
			}));
			_iosifr.attr("src", "im://active/initmonitor?json=" + a)
		}, 0);
		break;
	default:
		console.warn(_Plateform);
		es.loading("hide");
		es.showPopupTip("网页模式不可用", 1000)
	}
	es.bInitMonitor = true
};

// 检查异地登录
es.checkAuthentication = function(a) {
	if ( typeof a == "string") {
		a = JSON.parse(a)
	}
	if ( typeof a == "object" && typeof a.msg == "object") {
		a = a.msg
	}
	if ( typeof a.Status == "object") {
		if (a.Status.code == 402 || a.Status.code == 1000402) {
			var b = es.lang == "zh" ? "您的账户在其它地方登陆" : "Has been Login Elsewhere";
			es.showPopupTip(b, es.infoTipDurationTime);
		} else {
			if (a.Status.code == 500) {
				var b = es.lang == "zh" ? "服务不可用,请稍后重试" : "Service is unavailable, please try again later.";
				es.showPopupTip(b, es.infoTipDurationTime)
			} else {
				es.showPopupTip(a.Status.description, es.infoTipDurationTime)
			}
		}
	} else {
		if ( typeof a.msg == "string") {
			if (a.status == 404) {
				var b = es.lang == "zh" ? "网络连接不可用，请稍后重试" : "Network connection is unavailable, please try again later.";
				es.showPopupTip(b, es.infoTipDurationTime)
			} else {
				var b = es.lang == "zh" ? "服务不可用，请稍后重试" : "Service is unavailable, please try again later.";
				es.showPopupTip(b, es.infoTipDurationTime)
			}
		}
	}
};

// 检查系统语言
es.initLanguage = function() {
	var a = $(document.body).attr("lang");
	es.lang = a ? "en" : "zh"
};

function initGlobleVar() {
	es.hasGetUserInfo = false;
	es.hasGetVehicleInfo = false;
	es.hasGetInsuranceInfo = false;
	es.hasGetContractInfo = false;
	es.hasGetOnekeyPhoneNumber = false;
	// es.hasGetNewVersion = false;
	// es.hasVhlHealthReport = false;
	// es.hasVhlEcoReport = false;
	if (es.intervalHandler) {
		clearInterval(es.intervalHandler)
	}
}

es.ticket = "";// 数据头
es.vin = "";// 车辆vin号
es.migHost = _migHost;// 网络请求ip
es.gisnav = _gisnav;// 路书请求ip
es.migURL = es.migHost + "/mig/tservice/mig";// 数据请求前部分参数
es.bPasswordSah1 = false;//
es.infoTipDurationTime = 2000;
es.brand = "3";
es.code = "";
es.username = "";
es.userid = "";


// input标签获得焦点后，触摸屏幕，使其失去焦点，落下输入法
$('input').focus(function (){
	es.currentInputId = $(this).attr("id");
});
$('input').blur(function (){
	es.currentInputId = "";
});
	
window.addEventListener('touchmove', function (e) {
	if(typeof es.currentInputId != "undefined" && es.currentInputId != ""){
		$("#" + es.currentInputId).blur();
	}
});

es.getLocalData = function(){
	es.ticket = localStorage.getItem("ticket", "");
	es.vin = localStorage.getItem("vin", "");
	es.appTuType = localStorage.getItem("appTuType", "");
	es.realVin = localStorage.getItem("realVin", "");
	es.vehicleLisence = localStorage.getItem("vehicleLisence", "");
	es.vhlBrand = localStorage.getItem("vhlBrand", "");
	es.code = localStorage.getItem("code", "");
	es.userid = localStorage.getItem("userid", "");
};

function move2Inbox(){
	$.mobile.changePage("#inboxPage");
}

