//初始化
es.locationInit = function() {
	es.getLocalData();
};

es.city = "武汉";
( function(a) {
	
		a.mapInit = function() {
			if (a.mapObj) {
				return
			}
			mapObj = new AMap.Map("map", {
      			zoom: 13,
     			 isHotspot: true
    		});
			routeMapObj = new AMap.Map("routeMap", {
		      zoom: 13,
		      isHotspot: true
		    });
			a.mapObj = mapObj;
		    /*
			 * var c; mapObj.plugin("AMap.HotSpot", function() { c = new
			 * AMap.HotSpot(mapObj); AMap.event.addListener(c, "click",
			 * function(d) { updateMarker(d.lnglat, d.name, 0, null, true);
			 * $(".marker-content").toggle() }) });
			 */
			 mapObj.on( 'hotspotclick', function(result) {
			 		if(es.maphasclick == true){
			 			return;
			 		}
			 		updateMarker(result.lnglat, result.name, 1, null, true);
//			 		if(marker) {  //第一次点击地图时，会有标签点击无响应，需调用两次刷新下。
//			 			updateMarker(result.lnglat, result.name, 1, null, true);
//					} else {
//						updateMarker(result.lnglat, result.name, 1, null, true);// marker为空时，需要调用两次才能生效
//						updateMarker(result.lnglat, result.name, 1, null, true);
//					}
					$(".marker-content").toggle()
    		});
			$(".zoom_btn_in").on("vmousedown", function() {
				$(this).find("#zoomintool").toggleClass("zin-down")
			});
			$(".zoom_btn_in").on("vmouseup", function() {
				var d = this;
				setTimeout(function() {
					$(d).find("#zoomintool").toggleClass("zin-down")
				}, 300);
				if (es.mapPage == "2") {
					routeMapObj.zoomIn()
				} else {
					mapObj.zoomIn()
				}
			});
			$(".zoom_btn_out").on("vmousedown", function() {
				$(this).find("#zoomouttool").toggleClass("zout-down")
			});
			$(".zoom_btn_out").on("vmouseup", function() {
				var d = this;
				setTimeout(function() {
					$(d).find("#zoomouttool").toggleClass("zout-down")
				}, 300);
				if (es.mapPage == "2") {
					routeMapObj.zoomOut()
				} else {
					mapObj.zoomOut()
				}
			});
			$("#curPositionBtn").on("vmousedown", function() {
				$(this).find("b").toggleClass("btn-down")
			});
			$("#curPositionBtn").on("vmouseup", function() {
				var d = this;
				setTimeout(function() {
					$(d).find("b").toggleClass("btn-down")
				}, 300);
				if (!es.loadingGPS) {
					es.loading("show");
					es.loadingGPS = true;
					hideMarkers();
					es.getCurrentGPS(GetGPS_Success, GetGPS_Error, {}, function() {
						es.getCurrentPosByNewwork(GetGPS_Success, GetGPS_Error, {}, GetGPS_Timeout)
					})
				}
			});
			$("#vehPositionBtn").on("vmousedown", function() {
				$(this).find("b").toggleClass("btn-down")
			});
			$("#vehPositionBtn").on("vmouseup", function() {
				es.monitor("locate vehicle");
				var f = this;
				setTimeout(function() {
					$(f).find("b").toggleClass("btn-down")
				}, 300);
				es.loading("show");
				var d = es.migURL + "/poi/getVhlPositon/" + es.vin;
				var e = {
					method : "get",
					header : {
						accessToken : es.ticket
					}
				};
				es.httpByNative(VHLPosition_success, VHLPosition_error, d, e);
				if(typeof Common == "object"){
					Common.sendTSARequestTurn("7", es.vin, es.ticket);
				}
			})
		}
	}(es));
	
function init()
	{
		es.mapInit();
	}

function addMonitor2Ele() {
	if (es.bInitMonitor) {
		return
	}
	es.initMonitor();
}

function GetGPS_Success(b) {
	console.log("sglei-gps, GetGPS_Success");
	if (es.loadingGPS) {
		es.loading("hide");
		es.loadingGPS = false;
		if (!b) {
			return
		}
		if ( typeof b == "string") {
			b = JSON.parse(b)
		}
		var a = new AMap.LngLat(b.longitude, b.latitude);
		setCurrentCity(a);
		var c = es.lang == "zh" ? "当前位置&nbsp;&nbsp;" : "Current Position&nbsp;";
		updateMarker(a, c, 3);
		es.showPopupTip(es.lang == "zh" ? "定位成功" : "Locate success", es.infoTipDurationTime);
	}
}

function GetGPS_Error(a) {
	console.log("sglei-gps, GetGPS_Error");
	if (es.loadingGPS) {
		es.loadingGPS = false;
		es.loading("hide");
		console.warn("getGPS_Error:" + a);
		es.showPopupTip(es.lang == "zh" ? "定位失败" : "Locate fail", es.infoTipDurationTime);
	}
}
function GetGPS_Timeout() {
	if (es.loadingGPS) {
		es.loadingGPS = false;
		es.loading("hide");
		var a = es.lang == "zh" ? "获取当前位置超时" : "Failed, get current position timeout.";
		es.showPopupTip(a, 1000)
	}
}
function searchAddressByKeyword(a) {
	es.loading("show");
	var f = es.city.length > 0 ? es.city : "武汉";
	var e = es.lang == "zh" ? "zh" : "en";
	var d = "&longitude=" + es.curPos.getLng() + "&latitude=" + es.curPos.getLat() + "&language=" + e;
	var b = es.migURL + "/poi/getPOIByKeyword?query_type=TQUERY&range=50000&city=" + encodeURIComponent(f) + "&keywords=" + encodeURIComponent(a) + "&pagesize=20&pagenum=1" + d;
// var b = es.migURL + "/poi/getPOIByKeyword?keywords=" + encodeURIComponent(a)
// + "&pagesize=20&pagenum=1" + d;
	var c = {
		method : "get",
		header : {
			accessToken : es.ticket
		}
	};
	es.httpByNative(SearchAddress_success, SearchAddress_error, b, c)
}

function SearchAddress_success(b) {
	es.loading("hide");
	if (!b) {
		return
	}
	if ( typeof b == "string") {
		b = JSON.parse(b)
	}
	if (!( typeof b.Pois == "object")) {
		es.checkAuthentication(b);
		return
	}
	if (!( typeof b.Pois.status == "object")) {
		return
	}
	var c = es.lang == "zh" ? "没有找到结果" : "No Result";
	if (b.Pois.status.code == "0") {
		var a = b.Pois.poiList;
		if (a) {
			if (!( a instanceof Array)) {
				a = [a]
			}
			renderSearchList("#search_lv", a)
		} else {
			$("#search_lv").html("<p style='margin-left: 15px'>" + c + "</p>")
		}
	} else {
		var c = es.lang == "zh" ? "搜索不到相关信息" : "Failed, no information ";
		es.showPopupTip(c, es.infoTipDurationTime)
	}
}

function SearchAddress_error(a) {
	es.loading("hide");
	console.warn("SearchAddress_error:" + a);
	es.checkAuthentication(a)
}

function renderSearchList(d, a) {
	var c = "";
	for (var b = 0; b < a.length; b++) {
		a[b].poiName = a[b].poiName.replace(/\'/g, "’");
		c += '<li data-icon="false" class="list-favorite" telephone="' + a[b].telephone + '" name="' + a[b].poiName + '" lng="' + a[b].poiLongitude + '" lat="' + a[b].poiLatitude + '"><a><span style="display:block;white-space:pre-wrap">' + a[b].poiName + '</span><div class=search-address style="white-space:pre-wrap">' + a[b].address + '<span style="float:right;">' + numberFormat((a[b].distance * 0.001), 3) + "km</span></div></a></li>"
	}
	//alert(c)
	$(d).append(c);
	$(d).listview("refresh")
}

function VHLPosition_success(c) {
	es.loading("hide");
	if ( typeof c == "string") {
		c = JSON.parse(c)
	}
	if (!( typeof c.VhlPositionData == "object")) {
		es.checkAuthentication(c);
		return
	}
	if (!( typeof c.VhlPositionData.status == "object")) {
		return
	}
	if (c.VhlPositionData.status.code == "0") {
		var e = c.VhlPositionData.vhlLontitude;
		var b = c.VhlPositionData.vhlLatitude;
		var a = new AMap.LngLat(e, b);
		var d = es.lang == "zh" ? "车辆位置" : "VHL Position";
		updateMarker(a, d, 0)
	} else {
		es.showPopupTip(c.VhlPositionData.status.description, es.infoTipDurationTime)
	}
}

function VHLPosition_error(a) {
	es.loading("hide");
	console.warn("VHLPosition_error:" + a);
	es.checkAuthentication(a)
}
/**
 * markerinfo-0:点击定位车辆位置传值0
 * markerinfo-1:地图搜索、点击地图位置传值1
 * markerinfo-2:地图收藏夹传值2
 * markerinfo-3:点击定位当前位置传值3
 */
function updateMarkerImgAndName(a, b, c) {
	console.log("sglei-marker, 200+, " + a + "," + b + "," + c);
	// 非T
	var newContent = '<div class="marker-container"><div class="marker-content" id="position-content"><div class="marker-title markertype-' + c + '"><span class="title">' + b + '<img class="marker-shareimg" src="resources/imgs/shareImage.png"></span></div><div style="clear:both"></div><div class="arrow-down"></div></div><div class="marker-img"></div></div>' ;
	if (es.code == "2") {
		// 高级T
		newContent = '<div class="marker-container"><div class="marker-content" id="position-content"><div class="marker-title markertype-' + c + '"><span class="markerinfo-' + c + '"></span><span class="title">' + b + '<img class="marker-shareimg" src="resources/imgs/shareImage.png"></span><span class="markerinfodirect-none markerinfodirect"></span><span class="markerinfo-' + c + '"></div><div style="clear:both"></div><div class="arrow-down"></div></div><div class="marker-img"></div></div>';
	} else if (es.code == "1") {
		//  中级T
		newContent = '<div class="marker-container"><div class="marker-content" id="position-content"><div class="marker-title markertype-' + c + '"><span class="title">' + b + '<img class="marker-shareimg" src="resources/imgs/shareImage.png"></span><span class="markerinfodirect-none markerinfodirect"></span></div><div style="clear:both"></div><div class="arrow-down"></div></div><div class="marker-img"></div></div>';
	}
	a.setContent(newContent);
			$("span[class^='markerinfo-']:first-child").on("vmousedown", function(g) {
			es.maphasclick = true;
			if (g.target.className == "markerinfo-0" || g.target.className == "markerinfo-1" || g.target.className == "markerinfo-3") {
				var h = $(this);
				h.toggleClass("info-favorite-down");
				setTimeout(function() {
					es.maphasclick = false;
					h.toggleClass("info-favorite-down");
					openPromptDialog(marker.getPosition(), $(".marker-title").text(), g.target.className == "markerinfo-3")
				}, 200)
			} else {
				if (g.target.className == "markerinfo-2") {
					var h = $(this);
					h.toggleClass("info-send2car-down");
					setTimeout(function() {
						es.maphasclick = false;
						h.toggleClass("info-send2car-down");
						sendPosToCar(marker.getPosition(), $(".marker-title").text(), es.poiTelephone)
					}, 200)
				}
			}
		});
		$("span[class^='markerinfo-']:last-child").on("vmousedown", function(g) {
			es.maphasclick = true;
			if (g.target.className == "markerinfo-0" || g.target.className == "markerinfo-2") {
				var h = $(this);
				h.toggleClass("info-nav-down");
				setTimeout(function() {
					es.maphasclick = false;
					h.toggleClass("info-nav-down");
					navByFoot(marker.getPosition());
					if(typeof Common == "object"){
						Common.sendTSARequestTurn("2", es.vin, es.ticket);
					}
				}, 200)
			} else {
				if (g.target.className == "markerinfo-1") {
					var h = $(this);
					h.toggleClass("info-send2car-down");
					setTimeout(function() {
						es.maphasclick = false;
						h.toggleClass("info-send2car-down");
						sendPosToCar(marker.getPosition(), $(".marker-title").text(), es.poiTelephone)
					}, 200)
				}
			}
		});
		// 再次点击地图弹出的标签
		$("img.marker-shareimg").on("vmousedown", function() {
			es.maphasclick = true;
			Common.shouShareMapDialog(es.destPos.getLat(), es.destPos.getLng());
			
			setTimeout(function() {
				es.maphasclick = false;
			}, 500)
		});
		
		$("span.markerinfodirect").on("vmousedown", function(g) {
			var h = $(this);
			es.maphasclick = true;
			h.toggleClass("info-nav-down");
			setTimeout(function() {
				es.maphasclick = false;
				h.toggleClass("info-nav-down");
				navByFoot(marker.getPosition());
				if(typeof Common == "object"){
					Common.sendTSARequestTurn("2", es.vin, es.ticket);
				}
			}, 200)
		});

}
	
/**
 * 再次弹出的标签 隐藏位置上面图标上面的div
 */
//function hidePositionDiv() {
//	var div = document.getElementById('position-content');
//	div.style.display = "none";
//	setTimeout(function() {
//		Common.shouShareMapDialog("2", es.destPos.getLat(), es.destPos.getLng());
//	}, 250);
//
//}
/**
 * 显示位置图标上面的div
 */
//function showPositionDiv() {
//	var div = document.getElementById('position-content');
//	div.style.display = "block";
//}

/**
 * 首次弹出的标签 隐藏位置上面图标上面的div
 */
//function hidePositionDiv2() {
//	var div = document.getElementById('position-content2');
//	div.style.display = "none";
//	setTimeout(function() {
//		Common.shouShareMapDialog("1", es.destPos.getLat(), es.destPos.getLng()); //alert(es.destPos.getLng() + "-------" + es.destPos.getLat());
//	}, 250);
//
//}

/**
 * 显示位置图标上面的div
 */
//function showPositionDiv2() {
//	var div = document.getElementById('position-content2');
//	div.style.display = "block";
//}
                                            
/**
 * markerinfo-0:点击定位车辆位置传值0
 * markerinfo-1:地图搜索、点击地图位置传值1
 * markerinfo-2:地图收藏夹传值2
 * markerinfo-3:点击定位当前位置传值3
 */
function updateMarker(a, c, d, b, f) {
	console.log("sglei-marker, 300+, " + a + "," + c + "," + d + "," + b + "," + f);
	es.destPos = a; //记录你点击的位置
	hideMarkers();
	es.popType = d;
	es.poiTelephone = b;
	if (marker) {
		marker.show();
		marker.setPosition(a);
		updateMarkerImgAndName(marker, c, d);
		mapObj.setCenter(a)
	} else {
		var e = '<div class="marker-container"><div class="marker-content" id="position-content2"><div class="marker-title markertype-' + d + '"><span class="title">' + c + '<img class="marker-shareimg2" src="resources/imgs/shareImage.png"></span></div><div style="clear:both"></div><div class="arrow-down"></div></div><div class="marker-img"></div></div>' ;
		if (es.code == "2") {
			e = '<div class="marker-container"><div class="marker-content" id="position-content2"><div class="marker-title markertype-' + d + '"><span class="markerinfo-' + d + '"></span><span class="title">' + c + '<img class="marker-shareimg2" src="resources/imgs/shareImage.png"></span><span class="markerinfodirect-none markerinfodirect2"></span><span class="markerinfo-' + d + '"></span></div><div style="clear:both"></div><div class="arrow-down"></div></div><div class="marker-img"></div></div>';
		} else if (es.code == "1") {
			e = '<div class="marker-container"><div class="marker-content" id="position-content2"><div class="marker-title markertype-' + d + '"><span class="title">' + c + '<img class="marker-shareimg2" src="resources/imgs/shareImage.png"></span><span class="markerinfodirect-none markerinfodirect2"></span></div><div style="clear:both"></div><div class="arrow-down"></div></div><div class="marker-img"></div></div>';
		}
		marker = new AMap.Marker({
			id : "m",
			map : mapObj,
			position : a,
			icon : "resources/imgs/circle.png",
			offset : new AMap.Pixel(-27, -27),
			draggable : false,
			content : e,
			cursor : "default",
			visible : true
		});
		AMap.event.addListener(marker, "click", function() {
			if ($(".marker-content").is(":hidden")) {
				$(".marker-content").show();

				if ( d == 2) {
					$("span[class^='markerinfo-']:first-child").on("vmousedown", function(g) {
						es.maphasclick = true;
						var h = $(this);
						h.toggleClass("info-send2car-down");
						setTimeout(function() {
							es.maphasclick = false;
							h.toggleClass("info-send2car-down");
							sendPosToCar(marker.getPosition(), $(".marker-title").text(), es.poiTelephone)
						}, 200)
					});
					$("span[class^='markerinfo-']:last-child").on("vmousedown", function(g) {
						es.maphasclick = true;
						var h = $(this);
						h.toggleClass("info-nav-down");
						setTimeout(function() {
							es.maphasclick = false;
							h.toggleClass("info-nav-down");
							navByFoot(marker.getPosition());
							if(typeof Common == "object"){
								Common.sendTSARequestTurn("2", es.vin, es.ticket);
							}
						}, 200)
					});
				}else if(d == 0){  //点击车辆当前位置时
					$("span[class^='markerinfo-']:first-child").on("vmousedown", function(g) {
						es.maphasclick = true;
						if (g.target.className == "markerinfo-0" || g.target.className == "markerinfo-1" || g.target.className == "markerinfo-3") {
							var h = $(this);
							h.toggleClass("info-favorite-down");
							setTimeout(function() {
								es.maphasclick = false;
								h.toggleClass("info-favorite-down");
								openPromptDialog(marker.getPosition(), $(".marker-title").text(), g.target.className == "markerinfo-3")
							}, 200)
						} else {
							if (g.target.className == "markerinfo-2") {
								var h = $(this);
								h.toggleClass("info-send2car-down");
								setTimeout(function() {
									es.maphasclick = false;
									h.toggleClass("info-send2car-down");
									sendPosToCar(marker.getPosition(), $(".marker-title").text(), es.poiTelephone)
								}, 200)
							}
						}
					});
					
					$("span[class^='markerinfo-']:last-child").on("vmousedown", function(g) {
						es.maphasclick = true;
						if (g.target.className == "markerinfo-0" || g.target.className == "markerinfo-2") {
							var h = $(this);
							h.toggleClass("info-nav-down");
							setTimeout(function() {
								es.maphasclick = false;
								h.toggleClass("info-nav-down");
								navByFoot(marker.getPosition());
								if(typeof Common == "object"){
									Common.sendTSARequestTurn("2", es.vin, es.ticket);
								}
							}, 200)
						} else {
							if (g.target.className == "markerinfo-1") {
								var h = $(this);
								h.toggleClass("info-send2car-down");
								setTimeout(function() {
									es.maphasclick = false;
									h.toggleClass("info-send2car-down");
									sendPosToCar(marker.getPosition(), $(".marker-title").text(), es.poiTelephone)
								}, 200)
							}
						}
					});
					$("span.markerinfodirect").on("vmousedown", function(g) {
						es.maphasclick = true;
						var h = $(this);
						h.toggleClass("info-nav-down");
						setTimeout(function() {
							es.maphasclick = false;
							h.toggleClass("info-nav-down");
							navByFoot(marker.getPosition());
							if(typeof Common == "object"){
								Common.sendTSARequestTurn("2", es.vin, es.ticket);
							}
						}, 200)
					});
				}else if(d == 3){
					$("span[class^='markerinfo-']:first-child").on("vmousedown", function(g) {
						es.maphasclick = true;
						if (g.target.className == "markerinfo-0" || g.target.className == "markerinfo-1" || g.target.className == "markerinfo-3") {
							var h = $(this);
							h.toggleClass("info-favorite-down");
							setTimeout(function() {
								es.maphasclick = false;
								h.toggleClass("info-favorite-down");
								openPromptDialog(marker.getPosition(), $(".marker-title").text(), g.target.className == "markerinfo-3")
							}, 200)
						} else {
							if (g.target.className == "markerinfo-2") {
								var h = $(this);
								h.toggleClass("info-send2car-down");
								setTimeout(function() {
									es.maphasclick = false;
									h.toggleClass("info-send2car-down");
									sendPosToCar(marker.getPosition(), $(".marker-title").text(), es.poiTelephone)
								}, 200)
							}
						}
					});
				}
//				//点击地图首次次弹出的标签
	              $("img.marker-shareimg2").on("vmouseup", function() {
	            	  es.maphasclick = true;
	            	  Common.shouShareMapDialog(es.destPos.getLat(), es.destPos.getLng()); //alert(es.destPos.getLng() + "-------" + es.destPos.getLat());
	            	  setTimeout(function() {
	  						es.maphasclick = false;
	  					}, 500)
	  					
                       });
			}
			
		});
		/**
		 * 只在首次弹出标签时，执行该方法
		 * 点击定位当前位置、车位置、地图。
		 * markerinfo-0:点击定位车辆位置传值0
		 * markerinfo-1:地图搜索、点击地图位置传值1
		 * markerinfo-2:地图收藏夹传值2
		 * markerinfo-3:点击定位当前位置传值3
		 */
		setTimeout(function() {
		console.log("sglei-marker, 500+");
			if (f || (d == 2)) {
				$(".marker-content").css("display", "block");
				$(".marker-content").show();
			}
			$("span[class^='markerinfo-']:first-child").on("vmousedown", function(g) {
				es.maphasclick = true;
				if (g.target.className == "markerinfo-0" || g.target.className == "markerinfo-1" || g.target.className == "markerinfo-3") {
					var h = $(this);
					h.toggleClass("info-favorite-down");
					setTimeout(function() {
						es.maphasclick = false;
						h.toggleClass("info-favorite-down");
						openPromptDialog(marker.getPosition(), $(".marker-title").text(), g.target.className == "markerinfo-3")
					}, 200)
				} else {
					if (g.target.className == "markerinfo-2") {
						var h = $(this);
						h.toggleClass("info-send2car-down");
						setTimeout(function() {
							es.maphasclick = false;
							h.toggleClass("info-send2car-down");
							sendPosToCar(marker.getPosition(), $(".marker-title").text(), es.poiTelephone)
						}, 200)
					}
				}
			});
			
			$("span[class^='markerinfo-']:last-child").on("vmousedown", function(g) {
				es.maphasclick = true;
				if (g.target.className == "markerinfo-0" || g.target.className == "markerinfo-2") {
					var h = $(this);
					h.toggleClass("info-nav-down");
					setTimeout(function() {
						es.maphasclick = false;
						h.toggleClass("info-nav-down");
						navByFoot(marker.getPosition());
						if(typeof Common == "object"){
							Common.sendTSARequestTurn("2", es.vin, es.ticket);
						}
					}, 200)
				} else {
					if (g.target.className == "markerinfo-1") {
						var h = $(this);
						h.toggleClass("info-send2car-down");
						setTimeout(function() {
							es.maphasclick = false;
							h.toggleClass("info-send2car-down");
							sendPosToCar(marker.getPosition(), $(".marker-title").text(), es.poiTelephone)
						}, 200)
					}
				}
			});
			$("span.markerinfodirect2").on("vmousedown", function(g) {
				es.maphasclick = true;
				var h = $(this);
				h.toggleClass("info-nav-down");
				setTimeout(function() {
					es.maphasclick = false;
					h.toggleClass("info-nav-down");
					navByFoot(marker.getPosition());
					if(typeof Common == "object"){
						Common.sendTSARequestTurn("2", es.vin, es.ticket);
					}
				}, 200)
			});
			

//			//点击地图首次次弹出的标签
			if(d == 1 || d == 2){
				$("img.marker-shareimg2").on("vmousedown", function() {
				es.maphasclick = true;
            	Common.shouShareMapDialog(es.destPos.getLat(), es.destPos.getLng()); //alert(es.destPos.getLng() + "-------" + es.destPos.getLat());
            	setTimeout(function() {
					es.maphasclick = false;
				}, 500)
				
              });
			}
			
		}, 200)
	}
	if (!f) {
		setTimeout(function() {
			mapObj.setCenter(a)
		}, 1000)
	}
}

function sendPosToCar(f, e, a) {
	es.loading("show");
	var b = es.migURL + "/poi/sendPOIToCar";
	var d = [];
	if (a) {
		d = a.split(";")
	}
	//alert(a)
	var c = {
		method : "post",
		header : {
			accessToken : es.ticket
		},
		
		data : {
			SendPOIRequest : {
				poiName : e,
				poiLontitude : f.getLng(),
				vin : es.vin,
				poiLatitude : f.getLat(),
				tel : a
			}
		}
	};
	es.httpByNative(SendPOIToCar_success, SendPOIToCar_error, b, c);
	if(typeof Common == "object"){
		Common.sendTSARequestTurn("0", es.vin, es.ticket);
	}
}

function SendPOIToCar_success(a) {
	es.loading("hide");
	if ( typeof a == "string") {
		a = JSON.parse(a)
	}
	if (!a.Status) {
		return
	}
	if (a.Status.code == "0") {
		var b = es.lang == "zh" ? "发送到车辆成功" : "Success, send to car.";
		es.showPopupTip(b, es.infoTipDurationTime)
	} else {
		es.checkAuthentication(a);
		var b = es.lang == "zh" ? "服务不可用，请稍后重试" : "Service is unavailable, please try again later.";
		es.showPopupTip(b, es.infoTipDurationTime)
	}
}

function SendPOIToCar_error(a) {
	es.loading("hide");
	console.warn("VehiclesOfUser:" + a);
	es.checkAuthentication(a)
}

function openPromptDialog(c, d, b) {
	es._pt = c;
	var a = b ? "" : d || "";
	$("#common_prompt .prompt-value").val(a);
	$(".new-version-index").css("z-index", "-1");
	$.mobile.changePage("#common_prompt")
}

function GetGPSForNav_Success(b) {
	if (es.loadingGPS) {
		es.loading("hide");
		es.loadingGPS = false;
		if (!b) {
			return
		}
		if ( typeof b == "string") {
			b = JSON.parse(b)
		}
		var a = es.destPos;
		switch(_Plateform) {
		case"Android":
			if ( typeof Common == "object") {
				if ( typeof Common.openRouteActivity == "function") {
					console.log("sglei-posi0, b.longitude = " + b.longitude + ", b.latitude = " + b.latitude + ", a.getLng() = " + a.getLng() + ", a.getLat() = " + a.getLat());
					if (b.longitude == undefined || b.latitude == undefined || a.getLng() == undefined || a.getLat() == undefined) {
					console.log("sglei-posi1, b.longitude = " + b.longitude + ", b.latitude = " + b.latitude + ", a.getLng() = " + a.getLng() + ", a.getLat() = " + a.getLat());
						es.getCurrentGPS(GetGPSForNav_Success, GetGPSForNav_Error, {}, function() {
							 es.getCurrentPosByNewwork(GetGPSForNav_Success, GetGPSForNav_Error, {}, GetGPS_Timeout)
	   					});
					} else {
					console.log("sglei-posi2, b.longitude = " + b.longitude + ", b.latitude = " + b.latitude + ", a.getLng() = " + a.getLng() + ", a.getLat() = " + a.getLat());
						Common.openRouteActivity(b.longitude, b.latitude, a.getLng(), a.getLat())
					}
				}
			}
			break;
		case"IOS":
			_iosifr.attr("src", "im://active/route?startlng=" + b.longitude + "&startlat=" + b.latitude + "&destlng=" + a.getLng() + "&deslat=" + a.getLat());
			break
		}
	}
}

function GetGPSForNav_Error(a) {
	if (es.loadingGPS) {
		es.loadingGPS = false;
		es.loading("hide");
		console.warn("GetGPSForNav_Error:" + a)
	}
}

function navByFoot(a) {
	es.destPos = a;
	es.loading("show");
	es.loadingGPS = true;
	//只限于android版本
	if(Common.isMapAppAvabile()){
		Common.callMapApp((es.curPos).getLng(), (es.curPos).getLat(), a.getLng(), a.getLat());
		if (es.loadingGPS) {   //关闭滚动条
			es.loading("hide");
			es.loadingGPS = false;
		}
	}else{
	   es.getCurrentGPS(GetGPSForNav_Success, GetGPSForNav_Error, {}, function() {
		 es.getCurrentPosByNewwork(GetGPSForNav_Success, GetGPSForNav_Error, {}, GetGPS_Timeout)
	   });
	}
}

function addFavoritePOI2Container(e, a) {
	es.ls = a;
	var d = "";
	var c = es.lang == "zh" ? "删除" : "Delete";
	for (var b = 0; b < a.length; b++) {
		a[b].name = a[b].name.replace(/\'/g, "’");
		d += '<li data-icon="false" class="list-favorite" style="background: #e5e5e5;" name="' + a[b].name + '" lng="' + a[b].longitude + '" lat="' + a[b].latitude + '"><span  style="word-break:break-all;">' + a[b].name + "</span><div id=" + a[b].poiid + ' class="del_favorite"><table style="width:100%;height:100%;"><tr><td style="vertical-align:middle;">' + c + "</td></tr></table></div></li>"
	}
	$("#favorite_lv").append(d).listview().listview("refresh");
	$("#favorite_lv").find(".del_favorite").hide();
	c = es.lang == "zh" ? "编辑" : "Edit";
	$("#edit_favorite").attr("_edit", false).find(".ui-btn-text").html(c);
	$("#favorite_lv").find(".ui-btn-text").removeClass("ui-btn-text")
}

function deleteFavoriteItem(a, b) {
	es.loading("show");
	es.httpByNative(DeleteFavoritePOI_success, DeleteFavoritePOI_error, a, b)
}

function DeleteFavoritePOI_success(a) {
	es.loading("hide");
	if (!a) {
		return
	}
	if ( typeof a == "string") {
		a = JSON.parse(a)
	}
	if (!( typeof a.Status == "object")) {
		es.checkAuthentication(a);
		return
	}
	if (a.Status.code == "0") {
		es.showPopupTip("删除成功",1000);
		es.el.closest("li.list-favorite").remove()
	}
}

function DeleteFavoritePOI_error(a) {
	es.loading("hide");
	es.warn("DeleteFavoritePOI_error:" + a);
	es.checkAuthentication(a)
}

function FavoritePOI_success(b) {
	es.loading("hide");
	if (!b) {
		return
	}
	if ( typeof b == "string") {
		b = JSON.parse(b)
	}
	if (!( typeof b.Favorties == "object")) {
		es.checkAuthentication(b);
		return
	}
	if (!( typeof b.Favorties.status == "object")) {
		return
	}
	if (b.Favorties.status.code == "0") {
		if (b.Favorties.totalNumber > 0) {
			var a = b.Favorties.favoriteList;
			if (!( a instanceof Array)) {
				a = [a]
			}
			addFavoritePOI2Container("#favorite_lv", a)
		} else {
			var c = es.lang == "zh" ? "没有收藏记录" : "No favorites";
			$("#favorite_lv").html("<div style='padding:10px'>" + c + "</div>")
		}
	} else {
		if (b.Favorties.status.code == "1000002") {
			var c = es.lang == "zh" ? "没有收藏记录" : "No favorites";
			$("#favorite_lv").html("<div style='padding:10px'>" + c + "</div>")
		} else {
			var c = es.lang == "zh" ? "服务不可用，请稍后重试" : "Service is unavailable, please try again later.";
			es.showPopupTip(c, es.infoTipDurationTime)
		}
	}
}

function FavoritePOI_error(a) {
	es.loading("hide");
	console.warn("FavoritePOI_error:" + a);
	es.bFirstEdit = undefined;
	es.checkAuthentication(a)
}

function updateFavoriteStatus(a) {
	var c = $(a);
	c.attr("_edit", c.attr("_edit") != "true");
	$(".list-favorite img").toggleClass("img-hidden");
	if (c.attr("_edit") == "true") {
		var b = es.lang == "zh" ? "完成" : "Done";
		c.find(".ui-btn-text").html(b);
		$("#favorite_lv").find(".del_favorite").show()
	} else {
		var b = es.lang == "zh" ? "编辑" : "Edit";
		c.find(".ui-btn-text").html(b);
		$(".list-favorite img").removeClass("img-del");
		$("#favorite_lv").find(".del_favorite").hide()
	}
}

function addToFavorite(b, d) {
	var a = es.migURL + "/poi/addFavoritePOI";
	var c = {
		method : "post",
		data : {
			AddPOIRequest : {
				name : b,
				keyword : b,
				address : b,
				vin : es.vin,
				longitude : d.getLng(),
				latitude : d.getLat()
			}
		},
		header : {
			accessToken : es.ticket
		}
	};
	es.loading("show");
	es.httpByNative(AddToFavoite_success, AddToFavoite_error, a, c)
}

function AddToFavoite_success(a) {
	es.loading("hide");
	if (!a) {
		return
	}
	if ( typeof a == "string") {
		a = JSON.parse(a)
	}
	if (!( typeof a.Status == "object")) {
		es.checkAuthentication(a);
		return
	}
	if (a.Status.code == "0") {
		var b = es.lang == "zh" ? "添加成功" : "Success, add to favorite.";
		es.showPopupTip(b, es.infoTipDurationTime)
	} else {
		if (a.Status.code == "1000004") {
			var b = es.lang == "zh" ? "重复添加失败" : "Failed, Collection repeated";
			es.showPopupTip(b, es.infoTipDurationTime)
		}
	}
}

function AddToFavoite_error(a) {
	es.loading("hide");
	es.warn("AddToFavoite_error:" + a);
	es.checkAuthentication(a)
}

function AmapLocationByPositon_callback(a) {
}
function geocoder_CallBack(b) {
	var a = b.regeocode.addressComponent.province;
	var c = b.regeocode.addressComponent.city;
	es.province = a;
	if (c) {
		if (c[0]) {
			es.city = c
		} else {
			es.city = es.province
		}
	} else {
		es.city = es.province
	}
}

function setCurrentCity(b) {
	es.curPos = b;
	var a = "http://restapi.amap.com/v3/geocode/regeo?location=" + b + "&callback=geocoder_CallBack&key=ec7b08f2e314d9ae071f038556b9eff0&radius=1000&extensions=all&cbk=geocoder_CallBack";
	$.ajax({
		url : a,
		dataType : "jsonp",
		jsonp : "AmapLocationByPositon_callback"
	})
}

function checkInBoxMessageCount(a) {
	requestInboxMessageCount()
}

function requestInboxMessageCount() {
	if (!es.checkingInBox) {
		var b = {
			method : "get",
			header : {
				accessToken : es.ticket
			}
		};
		es.checkingInBox = true;
		var a = es.migURL + "/inbox/getInBoxUnreadMessagesCount/" + es.vin + "/3";
		es.httpByNative(GetInBoxMessageCount_success, GetInBoxMessageCount_error, a, b)
	}
}

function GetInBoxMessageCount_success(a) {
	es.checkingInBox = false;
	if (!a) {
		return
	}
	if ( typeof a == "string") {
		a = JSON.parse(a)
	}
	if (!( typeof a.MessagesCount == "object")) {
		return
	}
	if (a.MessagesCount.status.code == "0") {
		IOS_inbox_unread_count = a.MessagesCount.messagesCount;
		if (a.MessagesCount.messagesCount > 0) {
			document.getElementById("is_notice").style.display = "block"
		} else {
			document.getElementById("is_notice").style.display = "none"
		}
	}
}

function GetInBoxMessageCount_error(a) {
	es.checkingInBox = false;
	console.warn("GetUserInfo:" + a)
}

function hideMarkers() {
	if (marker) {
		$("div.marker-content").css("display", "none");
		marker.hide()
	}
}

function getCurHTML5Position() {
	if (navigator.geolocation) {
		navigator.geolocation.getCurrentPosition(function(b) {
			var a = new AMap.LngLat(b.coords.longitude, b.coords.latitude);
			setCurrentCity(a)
		}, function(a) {
			switch(a.code) {
			case a.TIMEOUT:
				console.warn("A timeout occured! Please try again!");
				break;
			case a.POSITION_UNAVAILABLE:
				console.warn("We can't detect your location. Sorry!");
				break;
			case a.PERMISSION_DENIED:
				console.warn("Please allow geolocation access for this to work.");
				break;
			case a.UNKNOWN_ERROR:
				console.warn("An unknown error occured!");
				break
			}
		}, {
			enableHighAcuracy : false,
			timeout : 5000,
			maximumAge : 3000
		})
	} else {
		es.showPopupTip("Your browser does not support Geolocation!", 1000)
	}
}

function GetNetworkPos_Success(a) {
	if (!a) {
		return
	}
	if ( typeof a == "string") {
		a = JSON.parse(a)
	}
	var b = new AMap.LngLat(a.longitude, a.latitude);
	setCurrentCity(b);
	es.mapObj.setCenter(b)
}

function GetNetworkPos_Error(a) {
}

function bindInitHandlers() {
	$("#personal_return").bind("click", function() {   // 返回消息中心
		switch(_Plateform) {
		case"Android":
			if ( typeof Common == "object") {
				if ( typeof Common.chgRtBtnTo2 == "function") {
					Common.chgRtBtnTo2();
				}
			}
			break;
		case"IOS":
			break
		}
		$.mobile.changePage("#location");
		
      });
	$("#edit_favorite").bind("click", function() {
		updateFavoriteStatus("#edit_favorite")
	});
	$("#common_prompt button.prompt-accept").on("vclick", function() {
		var a = $("#common_prompt .prompt-value").val();
		if (a) {
			$("#common_prompt").dialog("close");
			setTimeout(function() {
				addToFavorite(a, es._pt)
			}, 1500)
		} else {
			var b = es.lang == "zh" ? "请输入内容" : "Please input content";
			es.showPopupTip(b,1000);
			setTimeout(function() {
			document.getElementById("common_prompt_input").focus();
			}, 1100)
		}
	});
	$("#common_prompt button.prompt-refuse").on("vclick", function() {
		$("#common_prompt .prompt-value").val("");
		$("#common_prompt").dialog("close")
	});
	$(document).keydown(function(a) {
		var c = a.which;
		if (c == 13) {
			a.preventDefault();
			if (a.target.id == "favoriteAddress") {
				console.log("sglei-oooooo, es.curpos = " + es.curPos);
				if (es.curPos) {
					es.monitor("poi search");
					hideMarkers();
					$("#search_lv").html("");
					$.mobile.changePage("#address_search", {
						transition : "none"
					})
				} else {
					var b = es.lang == "zh" ? "无法获取当前位置，请先获取当前位置" : "Please get current positon firstly.";
					es.showPopupTip(b, 2000)
				}
			}
		}
	});
	$("#search_lv").on("vclick", "li.list-favorite", function() {
		var a = new AMap.LngLat($(this).attr("lng"), $(this).attr("lat"));
		poiName = $(this).attr("name");
		//alert($(this).attr("telephone"))
		updateMarker(a, poiName, 1, $(this).attr("telephone"));
//		if(marker) {
//			updateMarker(a, poiName, 1, $(this).attr("telephone"));
//		} else {
//			updateMarker(a, poiName, 1, $(this).attr("telephone"));// marker为空时，需要调用两次才能生效
//			updateMarker(a, poiName, 1, $(this).attr("telephone"));
//		}
		$("#title_favorite").html(poiName);
		$.mobile.changePage("#location", {
			transition : "none"
		})
	});
	$("#favorite_lv").on("vclick", "li.list-favorite", function() {
		if ($("#edit_favorite").attr("_edit") == "true") {
			/*
			 * var d = $(this); d.find(".del_favorite").toggle();
			 * d.find("img").toggleClass("img-del")
			 */
		} else {
			var c = new AMap.LngLat($(this).attr("lng"), $(this).attr("lat"));
			var a = $(this).attr("name");
			updateMarker(c, a, 2);
			$("#title_favorite").html(a);
			var b = es.lang == "zh" ? "编辑" : "Edit";
			$("#edit_favorite").find(".ui-btn-text").html(b).attr("_edit", false);
			$.mobile.changePage("#location", {
				transition : "none"
			})
		}
		return false
	});
	$("#favorite_lv").on("vclick", ".del_favorite", function(c) {
		var d = $(this).attr("id");
		var a = es.migURL + "/poi/deleteFavoritePOI/" + es.vin + "/" + d;
		var b = {
			method : "post",
			header : {
				accessToken : es.ticket
			}
		};
		es.el = $(this);
		deleteFavoriteItem(a, b);
		return false
	})
}
$("#location").bind("pageinit", function() {
	es.code = localStorage.getItem("code", "");
	if (_Plateform == "IOS") {
		setTimeout(function() {
			_iosifr.attr("src", "im://active/notifyloginid?vincode=" + es.vin + "&apnshost=" + encodeURIComponent(es.gisnav))
		}, 0)
	}
	if (IOS_readmsid) {
		chageMessageStatus(IOS_readmsid)
	}
	
	if (!mapObj) {
		var script = document.createElement("script");
  		script.type = "text/javascript";
  		script.src = "http://webapi.amap.com/maps?v=1.3&key=f7f4f09e5dffbd13586e986f4541bf0b&callback=init";
  		document.body.appendChild(script);
	}
	
	$("#page_favorite").on("pageshow", function() {
		hideMarkers();
		$("#favorite_lv").html("");
		es.loading("show");
		es.bFirstEdit = true;
		var b = {
			method : "get",
			header : {
				accessToken : es.ticket
			}
		};
		var a = es.migURL + "/poi/getFavoritePOI?vin=" + es.vin;
		es.httpByNative(FavoritePOI_success, FavoritePOI_error, a, b)
	});
	$("#address_search").on("pageshow", function() {
		searchAddressByKeyword($("#favoriteAddress").val());
		$("#favoriteAddress").val("")
	});
	$("#favoriteAddress").attr("type", "search");

	if (es.code != "0") {//T用户
		console.log("sglei-T, es.code = " + es.code);
		document.getElementById("newmessage_inbox").style.display = "block";
		document.getElementById("vehPositionBtn").style.display = "block";
	} else {
		console.log("sglei-T, es.code = " + es.code);
		document.getElementById("newmessage_inbox").style.display = "none";
		document.getElementById("vehPositionBtn").style.display = "none";
	}
	
	if (es.code != "2") { // 普通用户和中级T
		document.getElementById("favorite").style.display="none";
	} else {
		document.getElementById("favorite").style.display="block";
	}

	$("#newmessage_inbox").on("click", function() {
		switch(_Plateform) {
		case"Android":
			if ( typeof Common == "object") {
				if ( typeof Common.chgRtBtnTo5 == "function") {
					Common.chgRtBtnTo5();
				}
			}
			break;
		case"IOS":
			break
		}
		$.mobile.changePage("#inboxPage");
	});
	/*
	 * setTimeout(function() { var a = _Plateform == "Android" ? 2 : 1; var c = {
	 * method : "get", header : { accessToken : es.ticket } }; var b = es.migURL +
	 * "/version/appversion?platform=" + a + "&updatetype=1";
	 * es.httpByNative(AppVersionInfo_success, AppVersionInfo_error, b, c) },
	 * 5000);
	 */
	$("#inboxPage").on("pageshow", function(a, b) {
			es.monitor("inbox");
			loadInboxMessage()
	});
	$("#location").bind("pageshow", function(a, c) {
		es.mapPage = "1";
		// 判断G25、G29。隐藏或显示标签
		/*
		 * if(es.appTuType == "G25"){
		 * document.getElementById("remote_control").style.display="none";
		 * document.getElementById("vhl_status").style.display="none";
		 * document.getElementById("eco_driving").style.display="none"; }else
		 * if(es.appTuType == "G29") {
		 * document.getElementById("remote_control").style.display="block";
		 * document.getElementById("vhl_status").style.display="block";
		 * document.getElementById("eco_driving").style.display="block"; }
		 */
		var b = c.prevPage.attr("id");
		setTimeout(function() {
			if (es.intervalHandler) {
				clearInterval(es.intervalHandler)
			}
			checkInBoxMessageCount(60000 * 3)
		}, 0);
		if (b == "login" || b == "choose_vehicle") {
			$(".new-version-index").css("z-index", "1000");
			hideMarkers()
		}
		if (b == "common_prompt") {
			$(".new-version-index").css("z-index", "1000")
		}
	});
	bindInitHandlers();
	setTimeout(function() {
		es.getCurrentPosByNewwork(GetNetworkPos_Success, GetNetworkPos_Error, {})
	}, 200)
});
function numberFormat(c, d, b) {
	if (isNaN(c)) {
		return
	}
	if (!!b) {
		return c.toFixed(d)
	}
	var a = Math.pow(10, d);
	return Math.round(c * a) / a
}

function GetCurPoistion_Success(b) {
	es.loading("hide");
	if (!b) {
		return
	}
	if ( typeof b == "string") {
		b = JSON.parse(b)
	}
	var a = new AMap.LngLat(b.longitude, b.latitude);
	var c = es.lang == "zh" ? "当前位置&nbsp;&nbsp;" : "Current Position&nbsp;";
	getCurPosition(a)
}

function GetCurPoistion_Error(a) {
	es.loading("hide");
	console.warn("GetCurPoistion_Error:" + a)
}

function getCurPosition(a) {
	es.routeMarker = new AMap.Marker({
		id : "rbm",
		map : routeMapObj,
		position : a,
		icon : "resources/imgs/circle2.png",
		offset : new AMap.Pixel(-12, -43),
		draggable : false,
		cursor : "default",
		visible : true
	});
	routeMapObj.setZoomAndCenter(12, a)
}
$("#cur_positionBtn").on("vmouseup", function() {
	es.loading("show");
	es.getCurrentGPS(GetCurPoistion_Success, GetCurPoistion_Error, {}, function() {
		es.getCurrentPosByNewwork(GetCurPoistion_Success, GetCurPoistion_Error, {})
	})
});

/*
 * 消息中心
 */
$("#inboxPage").bind("pageinit", function() {
	/*if(typeof Common == "object"){
		Common.sendTSARequestTurn("17", es.vin, es.ticket);
	}*/
	console.log("sglei-msg, init");
	$("#message_lv").on("click", "li.list-message", function() {
		console.log("sglei-msg, es.bInboxEditStatus = " + es.bInboxEditStatus);
		if (es.bInboxEditStatus == true) {
			var a = $(this);
			// a.find(".message_delete").toggle()//隐藏
		} else {
			var a = $(this);
			viewMsgContent(a)
		}
		return false
	});
	$("#message_lv").on("click", ".message_delete", function() {
		var a = $(this);
                        // 增加删除消息弹出提示框。
                        if(window.confirm("确定删除吗？")){
                        delMsg(a)
                        }else{
                        }
	});

	$("#edit_inboxmessage").on("click", function() {
		if (es.bInboxEditStatus) {
			var a = es.lang == "zh" ? "编辑" : "Edit";
			es.bInboxEditStatus = false;
			$("#edit_inboxmessage .ui-btn-text").html(a);
			$(".message_delete").hide()
		} else {
			var a = es.lang == "zh" ? "完成" : "Done";
			es.bInboxEditStatus = true;
			$("#edit_inboxmessage .ui-btn-text").html(a);
			$(".message_delete").show()
		}
	});
	$("#switchReadedMessage").on("click", function(a) {
		if ($("#switchReadedMessage").hasClass("switchOff")) {
			$("#message_lv li").css({
				display : ""
			});
			$("#message_lv li").each(function() {
				var b = $(this).attr("id").split("_");
				if (b.length == 3) {
					if (b[2] == "0") {
						$(this).css({
							display : "none"
						})
					}
				}
			});
			es.bShowReadedMsg = true;
			$("#switchReadedMessage").removeClass("switchOff").addClass("switchOn")
		} else {
			$("#message_lv li").css({
					display : ""
				});
			$("#message_lv li").each(function() {
				var b = $(this).attr("id").split("_");
				if (b.length == 3) {
					if (b[2] == "1") {
						$(this).css({
							display : "none"
						})
					}
				}
			});
			es.bShowReadedMsg = false;
			$("#switchReadedMessage").removeClass("switchOn").addClass("switchOff")
		}
	});
	$("#message_filter").on("change", function() {
		es.messageFilterType = $(this).val();
		switch(es.messageFilterType) {
		case"1":
			$("#message_lv li.list-message").removeClass("inbox-hidden");
			break;
		case"2":
			$("#message_lv li.list-message[catagory='离车导航']").removeClass("inbox-hidden");
			$("#message_lv li.list-message[catagory!='离车导航']").addClass("inbox-hidden");
			break;
		case"3":
			$("#message_lv li.list-message[catagory='软件升级']").removeClass("inbox-hidden");
			$("#message_lv li.list-message[catagory!='软件升级']").addClass("inbox-hidden");
			break;
		case"4":
			$("#message_lv li.list-message[catagory='品牌信息']").removeClass("inbox-hidden");
			$("#message_lv li.list-message[catagory!='品牌信息']").addClass("inbox-hidden");
			break;
		case"5":
			$("#message_lv li.list-message[catagory='保养提醒']").removeClass("inbox-hidden");
			$("#message_lv li.list-message[catagory!='保养提醒']").addClass("inbox-hidden");
			break
		}
	});
	$("#inbox_list input[data-type='search']").attr("type", "search")
});

function loadInboxMessage() {
	var a = es.migURL + "/inbox/getInboxMessages?vin=" + es.vin + "&brand=3";
	var b = {
		method : "get",
		header : {
			accessToken : es.ticket
		}
	};
	es.httpByNative(LoadInboxMessage_success, LoadInboxMessage_error, a, b)
}

function LoadInboxMessage_success(c) {
	c = JSON.stringify(c)
	if (!c) {
		return
	}
	
	if ( typeof c == "string") {
		if(es.messageContentOld ==  c){// 判断消息是否有变化，无变化直接返回
			return
		}
		$("#message_lv").html("");// 将屏幕清空
		es.messageContentOld = c;// 最新的c值赋给es.messageContentOld的全局变量
		c = c.replace(/\"\\"/g, '""');// 变换c的格式。
		var b = c.replace(/\r\n/g, "&lt;br&gt;").replace(/\t/g, "");
		c = es.String.replaceQuotMark(b);
		c = JSON.parse(c)
	}
	if (!( typeof c.Messages == "object")) {
		es.checkAuthentication(c);
		return
	}
	if (!( typeof c.Messages.status == "object")) {
		return
	}
	if (c.Messages.status.code == "0") {
		if (c.Messages.messageList != undefined && c.Messages.messageList != null) {
			var a = c.Messages.messageList;
			if (!( a instanceof Array)) {
				a = [a]
			}
			addInboxMessage2Container("#message_lv", a)
		} else {
			var d = es.lang == "zh" ? "当前没有通知" : "No notice";
			$("#message_lv").html("<div style='margin-left:15px;margin-top:10px;background-color:#EFEFF4'>" + d + "</li>")
		}
	} else {
		console.warn(c.Messages.status.discription);
		var d = es.lang == "zh" ? "服务不可用，请稍后重试" : "Service is unavailable, please try again later.";
		es.showPopupTip(d, es.infoTipDurationTime)
	}
}

function LoadInboxMessage_error(a) {
	console.log("LoadInboxMessage:" + a);
	es.loading("hide");
	es.checkAuthentication(a)
}

function addInboxMessage2Container(h, b) {
	var f = "";
	for (var c = 0; c < b.length; c++) {
		var g = "";
		if (b[c].isread == 1) {
			g = '<img width="20" style="margin-bottom:12px;" id="readId_' + b[c].messageId + '" src="resources/imgs/readed_point.png"/>'
		} else {
			g = '<img width="14" style="margin-bottom:17px;" src="resources/imgs_f/unread_point.png"/>'
		}
		var e = "";
		if (!es.bShowReadedMsg) {
			e = b[c].isread != 1 ? "" : "display:none"
		}
		var a = "";
		switch(es.messageFilterType) {
		case"2":
			if (b[c].messageCategory != "离车导航") {
				a = "inbox-hidden"
			}
			break;
		case"3":
			if (b[c].messageCategory != "软件升级") {
				a = "inbox-hidden"
			}
			break;
		case"4":
			if (b[c].messageCategory != "品牌信息") {
				a = "inbox-hidden"
			}
			break;
		case"5":
			if (b[c].messageCategory != "保养提醒") {
				a = "inbox-hidden"
			}
			break
		}
		var h = "msgId_" + b[c].messageId + "_" + b[c].isread;
		f += "<li id=" + h + " catagory=" + b[c].messageCategory + " lat=" + b[c].latitude + " lng=" + b[c].longitude + " title=" + b[c].messageTitle + '" style="' + e + '" data-icon="false" class="list-message ' + a + '"><div style="position:relative;width:100%;height:100%;"><div id=' + h + ' class="message_delete" ></div><a><table cellspacing=0 cellpadding=0 width="100%"><tr><td width="20px" style="padding-left:20px;padding-right:5px;">' + g + '</td><td><div style="width:100%;font-size:18px;color:#5c5c5c;"><span style="font-weight:normal;float:right;color:#8e8e8e;vertical-align:middle;">' + b[c].createtime + "</span>" + b[c].messageCategory + '</div><div style="color: red;font-weight:normal"><span style="word-break: break-all;white-space:normal;display: block">' + b[c].messageTitle + '</span></div></td><td align="right" width="30px"><img style="width:10px;height:11px;margin-right: 30px;margin-left:10px"  src="resources/imgs/arrow.png"/></td></tr></table></a></div></li>'
	}
	$("#message_lv").append(f).trigger("create");
	$("#message_lv").listview("refresh");
	var d = es.lang == "zh" ? "编辑" : "Edit";
	es.bInboxEditStatus = false;
	$("#edit_inboxmessage .ui-btn-text").html(d)
}

function delMsg(e) {
	var a = e.attr("id");
	var f = a.substring(6);
	var d = f.substring(0, f.indexOf("_"));
	if (e.attr("id") != undefined) {
		var b = es.migURL + "/inbox/deleteInboxMessage/" + es.vin + "/" + d;
		var c = {
			method : "post",
			header : {
				accessToken : es.ticket
			}
		};
		es.delEl = e;
		deleteInboxMessage(b, c)
	}
}

function chageMessageStatus(c) {
	var b = {
		method : "post",
		header : {
			accessToken : es.ticket
		}
	};
	var a = es.migURL + "/inbox/readInboxMessage/" + es.vin + "/" + c;
	es.httpByNative(changeMsgStatus_success, changeMsgStatus_error, a, b)
}

function viewMsgContent(g) {
	if (!es.bInboxEditStatus) {
		var b = g.attr("id");
		var h = b.substring(6);
		var f = h.substring(0, h.indexOf("_"));
		var a = h.substring(h.indexOf("_") + 1);
		var d = g.attr("catagory");
		es.monitor("view message content");
		if (a == "0") {
			g.attr("id", "msgId_" + f + "_1");
			es.readingMsgEl = g;
			chageMessageStatus(f)
		}
		if (d == "离车导航") {
			if(typeof Common == "object"){
				Common.sendTSARequestTurn("1", es.vin, es.ticket);
				console.log("sglei-msg");
			}
			var c = g.attr("lng"), e = g.attr("lat");
			if (!(isNaN(c) || isNaN(e))) {
				navByFoot(new AMap.LngLat(c, e));
			}
		} else {
			getIndexMessageDetail(f)
		}
		 setTimeout(function(){
			loadInboxMessage();
	  },500);
	}
}

function changeMsgStatus_success(a) {
	if ( typeof a == "string") {
		a = JSON.parse(a)
	}
	if (!a.Status) {
		return
	}
	if (a.Status.code == "0") {
		if (es.readingMsgEl) {
			es.readingMsgEl.find(".img-inbox").attr("src", "resources/imgs/readed_point.png");
			--IOS_inbox_unread_count
		}
		return true
	}
	return false
}

function changeMsgStatus_error(a) {
	es.loading("hide");
	console.warn("changeMsgStatus_error:" + a);
	es.checkAuthentication(a)
}

function deleteInboxMessage(a, b) {
	es.loading("show");
	es.httpByNative(deleteInboxMessage_success, deleteInboxMessage_error, a, b)
}

function deleteInboxMessage_success(a) {
	es.loading("hide");
	if ( typeof a == "string") {
		a = JSON.parse(a)
	}
	if (a.Status.code == "0") {
		es.delEl.closest("li.list-message").remove();
		var b = es.lang == "zh" ? "删除通知信息成功！" : "delete message success.";
		es.showPopupTip(b, es.infoTipDurationTime)
	} else {
		var b = es.lang == "zh" ? "删除通知失败" : "Failed, delete message error.";
		es.showPopupTip(b, es.infoTipDurationTime)
	}
}

function deleteInboxMessage_error(a) {
	es.loading("hide");
	console.warn("deleteInboxMessage_error:" + a);
	es.checkAuthentication(a)
}

es.setMessageDetailsInfo = function(d, a, e) {
	e.getElementById("msgCreateDate").innerHTML = d.createtime.substr(0, 10);
	e.getElementById("msgContentDetailTitle").innerHTML = d.messageTitle;
	$("#msgPosition").html("");
	var c = "";
	if ( typeof d.messageContent != "undefined") {
// c = d.messageContent.replace(/\\r\\n/g, "").replace(/\\t/g, "")
        c = d.messageContent;
	}
    if ((c.substring(0,4)=="http")) {
         e.getElementById("msgContentDetailContent")
         .innerHTML='<img src= '+ c +'  height="200" width="400" />';
  }else {
         e.getElementById("msgContentDetailContent")
         .innerHTML = c;
        }
// e.getElementById("msgContentDetailContent").innerHTML = c;
	if ( typeof d.longitude != "undefined" && typeof d.latitude != "undefined") {
		var f = "";
		if ( typeof d.address_name != "undefined") {
			f = d.address_name
		} else {
			f = "点击查看地图"
		}
		var b = '<div style="margin-top:10px;margin-left:20px;margin-right: 20px;float:right"><a  href="javascript:void(0)" onclick="getNavByFoot(' + d.longitude + "," + d.latitude + ')" style="color:#000000"><span><img src="resources/imgs/icon.png"  style="width:20px;margin-top: -2px;"/></span><span  style="float:right;">' + f + "</span></a></div>";
		$("#msgPosition").html(b)
	}
};
function getNavByFoot(a, b) {
	navByFoot(new AMap.LngLat(a, b));
	if(typeof Common == "object"){
		Common.sendTSARequestTurn("2", es.vin, es.ticket);
	}
}

function getMessageDetailsInfoObj(a) {
	if (!es.messageDetailsInfoObj) {
		es.messageDetailsInfoObj = {}
	}
	return es.messageDetailsInfoObj
}

function getInboxMessageContent_success(b) {
	es.loading("hide");
	if (!b) {
		return
	}
	if ( typeof b == "string") {
		b = b.replace(/\"\\"/g, '""');
		var a = b.replace(/\r\n/g, "&lt;br&gt;").replace(/\t/g, "");
		b = es.String.replaceQuotMark(a);
		b = JSON.parse(b)
	}
	if (!( typeof b.MessageDetails == "object")) {
		es.checkAuthentication(b);
		return
	}
	if (!( typeof b.MessageDetails.status == "object")) {
		return
	}
	if (b.MessageDetails.status.code == "0") {
		es.setMessageDetailsInfo(b.MessageDetails, getMessageDetailsInfoObj, document)
	} else {
		var c = es.lang == "zh" ? "服务不可用，请稍后重试" : "Service is unavailable, please try again later.";
		es.showPopupTip(c, es.infoTipDurationTime)
	}
}

function getInboxMessageContent_error(a) {
	es.loading("hide");
	console.warn("getInboxMessageContent_error:" + msg);
	es.checkAuthentication(msg)
}

function getIndexMessageDetail(a) {
	es.msg_id = a;
	$.mobile.changePage("#msgContentDetail", {
		transition : "none"
	})
}
$("#msgContentDetail").on("pageshow", function() {
	var b = es.msg_id;
	var c = {
		method : "get",
		header : {
			accessToken : es.ticket
		}
	};
	var a = es.migURL + "/inbox/getInboxMessageContent/" + es.vin + "/" + b;
	es.httpByNative(getInboxMessageContent_success, getInboxMessageContent_error, a, c)
}); 

function goLocationPage(){
	window.location.href="#location"; 
}

/**
 * 首页跳转js寻车
 */
function location2car(){
	if(!mapObj){
		var a = es.lang == "zh" ? "地图初始化中，请稍后重试" : "map is init，please try later";
		es.showPopupTip(a, 1000);
		return;
	}
	es.monitor("locate vehicle");
	es.loading("show");
	var d = es.migURL + "/poi/getVhlPositon/" + es.vin;
	var e = {
		method : "get",
		header : {
			accessToken : es.ticket
		}
	};
	es.httpByNative(VHLPosition_success, VHLPosition_error, d, e);
	if(typeof Common == "object"){
		Common.sendTSARequestTurn("7", es.vin, es.ticket);
	}
}
// -------------------------native method-----------------//

/*
 * function go2NativeHome(){ // move to native home switch(_Plateform) {
 * case"Android": if ( typeof Common == "object") { if ( typeof
 * Common.go2NativeHome == "function") { Common.go2NativeHome(es.vin); } }
 * break; case"IOS": break } }
 */